org.richfaces.fragment.panelMenu

## Class RichFacesPanelMenuItem.AdvancedPanelMenuItemInteractions

- java.lang.Object
- - org.richfaces.fragment.panelMenu.RichFacesPanelMenuItem.AdvancedPanelMenuItemInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesPanelMenuItem

      public class RichFacesPanelMenuItem.AdvancedPanelMenuItemInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPanelMenuItem.AdvancedPanelMenuItemInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getLeftIconElement()`
    `org.openqa.selenium.WebElement` | `getLeftIconImgElement()`
    `org.openqa.selenium.WebElement` | `getRightIconElement()`
    `org.openqa.selenium.WebElement` | `getRightIconImgElement()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `boolean` | `isDisabled()`
    `boolean` | `isSelected()`
    `boolean` | `isTransparent(org.openqa.selenium.WebElement icon)`
    `boolean` | `isVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPanelMenuItem.AdvancedPanelMenuItemInteractions

          public RichFacesPanelMenuItem.AdvancedPanelMenuItemInteractions()

  - ### Method Detail

    - #### getLeftIconElement

          public org.openqa.selenium.WebElement getLeftIconElement()

    - #### getRightIconElement

          public org.openqa.selenium.WebElement getRightIconElement()

    - #### getRightIconImgElement

          public org.openqa.selenium.WebElement getRightIconImgElement()

    - #### getLeftIconImgElement

          public org.openqa.selenium.WebElement getLeftIconImgElement()

    - #### isSelected

          public boolean isSelected()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### isDisabled

          public boolean isDisabled()

    - #### isTransparent

          public boolean isTransparent(org.openqa.selenium.WebElement icon)

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.